﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.2.1
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.ClickAndCollect
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.2.1")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Cnc orders reporting")]
    [NUnit.Framework.CategoryAttribute("Qod")]
    public partial class CncOrdersReportingFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "ClickAndCollectOrdersReporting.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Cnc orders reporting", "As a store colleague\r\nI want click and collect orders to be included into back of" +
                    "fice reports\r\nSo that sale and stock information for click and collect orders is" +
                    " available", ProgrammingLanguage.CSharp, new string[] {
                        "Qod"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect stock log reports for new order")]
        public virtual void ClickAndCollectStockLogReportsForNewOrder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect stock log reports for new order", ((string[])(null)));
#line 7
this.ScenarioSetup(scenarioInfo);
#line 9
testRunner.Given("click and collect order is placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 10
testRunner.When("store receives the order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 11
testRunner.Then("click and collect sale is reflected in weakly movement report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect stock log reports for order cancellation")]
        public virtual void ClickAndCollectStockLogReportsForOrderCancellation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect stock log reports for order cancellation", ((string[])(null)));
#line 13
this.ScenarioSetup(scenarioInfo);
#line 15
testRunner.Given("click and collect order with 2 days before today date is placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 16
testRunner.And("order fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
testRunner.And("full cancellation with yesterday date is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
testRunner.When("cancellation request is processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 19
testRunner.Then("click and collect cancellation is reflected in stock item movements report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is reflected in Cashier Performance Report")]
        public virtual void ClickAndCollectOrderIsReflectedInCashierPerformanceReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is reflected in Cashier Performance Report", ((string[])(null)));
#line 21
this.ScenarioSetup(scenarioInfo);
#line 23
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 24
testRunner.When("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 25
testRunner.Then("order is reflected in cashier performance report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order partial cancellation is reflected in cashier performance " +
            "report")]
        public virtual void ClickAndCollectOrderPartialCancellationIsReflectedInCashierPerformanceReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order partial cancellation is reflected in cashier performance " +
                    "report", ((string[])(null)));
#line 27
this.ScenarioSetup(scenarioInfo);
#line 29
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 30
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 32
testRunner.Then("order cancellation is reflected in cashier performance report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order full cancellation is reflected in cashier performance rep" +
            "ort")]
        public virtual void ClickAndCollectOrderFullCancellationIsReflectedInCashierPerformanceReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order full cancellation is reflected in cashier performance rep" +
                    "ort", ((string[])(null)));
#line 34
this.ScenarioSetup(scenarioInfo);
#line 36
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 37
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
testRunner.When("order is fully cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 39
testRunner.Then("order cancellation is reflected in cashier performance report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is reflected in audit roll enquiry report")]
        public virtual void ClickAndCollectOrderIsReflectedInAuditRollEnquiryReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is reflected in audit roll enquiry report", ((string[])(null)));
#line 41
this.ScenarioSetup(scenarioInfo);
#line 43
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 44
testRunner.When("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 45
testRunner.Then("order is reflected in audit roll enquiry report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order full cancellation is reflected in audit roll enquiry repo" +
            "rt")]
        public virtual void ClickAndCollectOrderFullCancellationIsReflectedInAuditRollEnquiryReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order full cancellation is reflected in audit roll enquiry repo" +
                    "rt", ((string[])(null)));
#line 47
this.ScenarioSetup(scenarioInfo);
#line 49
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 50
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
testRunner.When("order is fully cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 52
testRunner.Then("order cancellation is reflected in audit roll enquiry report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order partial cancellation is reflected in audit roll enquiry r" +
            "eport")]
        public virtual void ClickAndCollectOrderPartialCancellationIsReflectedInAuditRollEnquiryReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order partial cancellation is reflected in audit roll enquiry r" +
                    "eport", ((string[])(null)));
#line 54
this.ScenarioSetup(scenarioInfo);
#line 56
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 57
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 59
testRunner.Then("order cancellation is reflected in audit roll enquiry report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is reflected in retail sales report")]
        public virtual void ClickAndCollectOrderIsReflectedInRetailSalesReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is reflected in retail sales report", ((string[])(null)));
#line 61
this.ScenarioSetup(scenarioInfo);
#line 63
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 64
testRunner.When("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 65
testRunner.Then("order is reflected in retail sales report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order partial cancellation is reflected in retail sales report")]
        public virtual void ClickAndCollectOrderPartialCancellationIsReflectedInRetailSalesReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order partial cancellation is reflected in retail sales report", ((string[])(null)));
#line 67
this.ScenarioSetup(scenarioInfo);
#line 69
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 70
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 72
testRunner.Then("partial order cancellation is reflected in retail sales report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order full cancellation is reflected in retail sales report")]
        public virtual void ClickAndCollectOrderFullCancellationIsReflectedInRetailSalesReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order full cancellation is reflected in retail sales report", ((string[])(null)));
#line 74
this.ScenarioSetup(scenarioInfo);
#line 76
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 77
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 79
testRunner.And("order is completely cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
testRunner.Then("both cancellations are reflected in retail sales report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is reflected in customer enquiry report")]
        public virtual void ClickAndCollectOrderIsReflectedInCustomerEnquiryReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is reflected in customer enquiry report", ((string[])(null)));
#line 82
this.ScenarioSetup(scenarioInfo);
#line 84
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 85
testRunner.When("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 86
testRunner.Then("order is reflected in customer enquiry report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Partially cancelled click and collect order is reflected in customer enquiry repo" +
            "rt")]
        public virtual void PartiallyCancelledClickAndCollectOrderIsReflectedInCustomerEnquiryReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Partially cancelled click and collect order is reflected in customer enquiry repo" +
                    "rt", ((string[])(null)));
#line 88
this.ScenarioSetup(scenarioInfo);
#line 90
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 91
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 92
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 93
testRunner.Then("partially cancelled order is reflected in customer enquiry report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Fully cancelled click and collect order is not reflected in customer enquiry repo" +
            "rt")]
        public virtual void FullyCancelledClickAndCollectOrderIsNotReflectedInCustomerEnquiryReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Fully cancelled click and collect order is not reflected in customer enquiry repo" +
                    "rt", ((string[])(null)));
#line 95
this.ScenarioSetup(scenarioInfo);
#line 97
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 98
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 99
testRunner.When("order is fully cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 100
testRunner.Then("order is no longer reflected in customer enquiry report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is reflected in store sale report")]
        public virtual void ClickAndCollectOrderIsReflectedInStoreSaleReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is reflected in store sale report", ((string[])(null)));
#line 102
this.ScenarioSetup(scenarioInfo);
#line 104
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 105
testRunner.When("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 106
testRunner.Then("order is reflected in store sale report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order partial cancellation is reflected in store sale report")]
        public virtual void ClickAndCollectOrderPartialCancellationIsReflectedInStoreSaleReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order partial cancellation is reflected in store sale report", ((string[])(null)));
#line 108
this.ScenarioSetup(scenarioInfo);
#line 110
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 111
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 112
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 113
testRunner.Then("partial order cancellation is reflected in store sale report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order full cancellation is reflected in store sale report")]
        public virtual void ClickAndCollectOrderFullCancellationIsReflectedInStoreSaleReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order full cancellation is reflected in store sale report", ((string[])(null)));
#line 115
this.ScenarioSetup(scenarioInfo);
#line 117
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 118
testRunner.And("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 119
testRunner.When("order is partially cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 120
testRunner.And("order is completely cancelled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
testRunner.Then("both cancellations are reflected in store sale report", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in customer orders report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInCustomerOrdersReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in customer orders report", ((string[])(null)));
#line 123
this.ScenarioSetup(scenarioInfo);
#line 125
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 126
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 127
testRunner.Then("web order is reflected in customer orders", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 128
testRunner.And("click and collect order is not reflected in customer orders", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in delivery income detail report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInDeliveryIncomeDetailReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in delivery income detail report", ((string[])(null)));
#line 130
this.ScenarioSetup(scenarioInfo);
#line 132
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 133
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 134
testRunner.Then("web order is reflected in delivery income detail", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 135
testRunner.And("click and collect order is not reflected in delivery income detail", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in despatched orders report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInDespatchedOrdersReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in despatched orders report", ((string[])(null)));
#line 137
this.ScenarioSetup(scenarioInfo);
#line 139
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 140
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 141
testRunner.Then("web order is reflected in despatched orders", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 142
testRunner.And("click and collect order is not reflected in despatched orders", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in order delivery listing report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInOrderDeliveryListingReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in order delivery listing report", ((string[])(null)));
#line 144
this.ScenarioSetup(scenarioInfo);
#line 146
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 147
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 148
testRunner.Then("web order is reflected in order delivery listing", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 149
testRunner.And("click and collect order is not reflected in order delivery listing", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in qod get order report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInQodGetOrderReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in qod get order report", ((string[])(null)));
#line 151
this.ScenarioSetup(scenarioInfo);
#line 153
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 154
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 155
testRunner.Then("web order is reflected in qod get order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 156
testRunner.And("click and collect order is not reflected in qod get order", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in orders awaiting despatch report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInOrdersAwaitingDespatchReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in orders awaiting despatch report", ((string[])(null)));
#line 158
this.ScenarioSetup(scenarioInfo);
#line 160
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 161
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 162
testRunner.Then("web order is reflected in orders awaiting despatch", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 163
testRunner.And("click and collect order is not reflected in orders awaiting despatch", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in qod get orders for delivery source re" +
            "port")]
        public virtual void ClickAndCollectOrderIsNotReflectedInQodGetOrdersForDeliverySourceReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in qod get orders for delivery source re" +
                    "port", ((string[])(null)));
#line 165
this.ScenarioSetup(scenarioInfo);
#line 167
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 168
testRunner.When("regular web order and click and collect order are placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 169
testRunner.Then("web order is reflected in qod get orders for delivery source", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 170
testRunner.And("click and collect order is not reflected in qod get orders for delivery source", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in pending orders report")]
        public virtual void ClickAndCollectOrderIsNotReflectedInPendingOrdersReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in pending orders report", ((string[])(null)));
#line 172
this.ScenarioSetup(scenarioInfo);
#line 174
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 175
testRunner.And("regular web order is placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 176
testRunner.And("web order is reflected in todays pending orders", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 177
testRunner.When("click and collect order is placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 178
testRunner.Then("orders count in todays pending orders is not changed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order is not reflected in delivery status log")]
        public virtual void ClickAndCollectOrderIsNotReflectedInDeliveryStatusLog()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order is not reflected in delivery status log", ((string[])(null)));
#line 180
this.ScenarioSetup(scenarioInfo);
#line 182
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 183
testRunner.And("regular web order is placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 184
testRunner.And("delivery status is changed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 185
testRunner.And("web order is reflected in delivery status log", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 186
testRunner.When("click and collect order is placed on a website", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 187
testRunner.And("delivery status is changed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 188
testRunner.Then("orders count in delivery status log is not changed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
